Bug 503782 - Eee pc 701 wifi toggle
Eee pc 701 wifi toggle
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 13:14 EDT by marko90
Modified: 2009-12-18 04:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:31:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description marko90 2009-06-02 13:14:38 EDT
Description of problem:

I have Asus eee pc 701 with AR5007 (AR2425) Atheros chip. Wireless works
out-of-the-box, is working fine, but I cannot turn it off using "Fn+F2".

I've got these modules loaded:

vfat                   12672  1 
fat                    42912  1 vfat
fuse                   49436  2 
i915                   53636  2 
drm                   158260  3 i915
ipv6                  230516  8 
ipt_MASQUERADE          6528  2 
iptable_nat             8712  1 
nf_nat                 17944  2 ipt_MASQUERADE,iptable_nat
p4_clockmod             8324  0 
dm_multipath           17164  0 
uinput                 10624  0 
pcspkr                  6272  0 
joydev                 12736  0 
i2c_i801               12048  0 
i2c_core               21396  2 drm,i2c_i801
iTCO_wdt               13732  0 
iTCO_vendor_support     6916  1 iTCO_wdt
uvcvideo               51720  0 
compat_ioctl32          5120  1 uvcvideo
videodev               32000  1 uvcvideo
v4l1_compat            15876  2 uvcvideo,videodev
usb_storage            86664  1 
wlan_scan_sta          15360  1 
ath_rate_sample        14848  1 
ath_pci               162488  0 
snd_hda_intel         354068  3 
snd_seq_dummy           6660  0 
wlan                  189876  4 wlan_scan_sta,ath_rate_sample,ath_pci
snd_seq_oss            30364  0 
snd_seq_midi_event      9600  1 snd_seq_oss
snd_seq                48576  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
ath_hal               302176  3 ath_rate_sample,ath_pci
snd_seq_device         10124  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            42496  0 
atl2                   27544  0 
snd_mixer_oss          16896  1 snd_pcm_oss
snd_pcm                65924  2 snd_hda_intel,snd_pcm_oss
snd_timer              22024  2 snd_seq,snd_pcm
snd_page_alloc         11016  2 snd_hda_intel,snd_pcm
snd_hwdep              10500  1 snd_hda_intel
snd                    50616  16 snd_hda_intel,snd_seq_dummy,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_hwdep
soundcore               9416  1 snd
video                  20500  0 
output                  6528  1 video
eeepc_laptop           13204  0 
hwmon                   6300  1 eeepc_laptop
rfkill                 11160  2 eeepc_laptop
ata_generic             8452  0 
pata_acpi               7680  0 

I've got 2.6.27.24-170.2.68.fc10.i686 kernel.

Version-Release number of selected component (if applicable):


How reproducible:
Fn+F2 keys.

Steps to Reproduce:
1.Press Fn key and F2 key simultaniously.
2.
3.
  
Actual results:
wifi still working.

Expected results:
wifi being turned off and on again.

Additional info:
Comment 1 Niels Haase 2009-06-23 14:48:28 EDT
Thanks for filling this bug. I'm afraid but the bug is not related to NetworkManager, keyboard shortcuts are handled by the kernel. So I change the component to kernel.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 marko90 2009-06-23 15:04:30 EDT
Niels Haase
Thank you for assistance.

This bug is fixed in F11.
Comment 3 Bug Zapper 2009-11-18 07:03:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:31:37 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.